Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
sizes.c File Reference
`#include "ruby/ruby.h"`

Go to the source code of this file.

## Macros
#define | DEFINE(type, size) rb_hash_aset(s, rb_str_new_cstr(#type), INT2FIX(SIZEOF_##size))
#define | DEFINE_SIZE(type) rb_hash_aset(s, rb_str_new_cstr(#type), INT2FIX(sizeof(type)))

## Functions
void | Init_limits (void)
void | Init_sizeof (void)

## Macro Definition Documentation

## ◆ DEFINE

#define DEFINE | ( |  | type,
|  |  | size
| ) |  | rb_hash_aset(s, rb_str_new_cstr(#type), INT2FIX(SIZEOF_##size))

## ◆ DEFINE_SIZE

#define DEFINE_SIZE | ( |  | type | ) | rb_hash_aset(s, rb_str_new_cstr(#type), INT2FIX(sizeof(type)))

## Function Documentation

## ◆ Init_limits()

void Init_limits | ( | void |  | ) |

Definition at line 14 of file limits.c.

Referenced by Init_sizeof().

## ◆ Init_sizeof()

void Init_sizeof | ( | void |  | ) |

Definition at line 13 of file sizes.c.

References __INT64, DEFINE, DEFINE_SIZE, Init_limits(), int128_t, LONG_LONG, OBJ_FREEZE, rb_define_const(), rb_define_module(), rb_hash_new(), and uint128_t.